Bug 1130765 - Could not import a VM from export domain with raw sparse disks to a block storage domain
Summary: Could not import a VM from export domain with raw sparse disks to a block sto...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Elad
URL:
Whiteboard: storage
Depends On: 1129684 1130761
Blocks: 1131295 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-17 13:01 UTC by Tal Nisan
Modified: 2016-02-10 20:29 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1130761
: 1131295 (view as bug list)
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 31522 0 None None None Never
oVirt gerrit 31524 0 None None None Never
oVirt gerrit 31560 0 ovirt-engine-3.4 MERGED core: Remove volume & format check on import VM command Never

Description Tal Nisan 2014-08-17 13:01:05 UTC
Description of problem:
When trying to import a VM that contains a raw sparse disk(s) to a block domain via webadmin the operation fails

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a VM with a single thin provision disk on an NFS domain
2. Export the VM to an export domain
3. Import the VM while selecting a block domain as the target domain for disk in the disks sub tab

Actual results:
Operation fails with an error:
Vm1:
Cannot import VM. Disk configuration (RAW Sparse) is incompatible with the storage domain type.

Expected results:
VM will be imported correctly to the domain

Additional info:

Comment 2 Elad 2014-08-27 10:40:58 UTC
VM imported with a raw sparse disk to a block domain successfully. 
VM was started without any issue.


Verified using ovirt-3.5 RC1.1

Comment 3 Allon Mureinik 2015-02-16 19:11:59 UTC
RHEV-M 3.5.0 has been released, closing this bug.

Comment 4 Allon Mureinik 2015-02-16 19:12:04 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.